ENVISAT Product Reader C API: Main Page

ENVISAT Product Reader API for C |

# EPR_ProductId Struct Reference

The `EPR_ProductId` structure contains information about an ENVISAT product file which has been opened with the `epr_open_product()` function. More...

`#include <epr_api.h>`

## Data Fields
EPR_Magic | magic
| The magic number for this structure.
char * | file_path
| The file's path including the file name.
FILE * | istream
| The input stream as returned by the ANSI C `fopen` function for the given file path.
uint | tot_size
| The total size in bytes of the product file.
uint | scene_width
| The total width of product's scene raster in pixels.
uint | scene_height
| The total height of product's scene raster in pixels.
char | id_string [EPR_PRODUCT_ID_STRLEN+1]
| The product identifier string obtained from the MPH parameter 'PRODUCT'.
EPR_SRecord * | mph_record
| The record representing the main product header (MPH).
EPR_SRecord * | sph_record
| The record representing the specific product header (SPH).
EPR_SPtrArray * | dsd_array
| An array containing all (!) DSDs read from the product's specific product header (SPH).
EPR_SPtrArray * | record_info_cache
| Cache for record infos.
EPR_SPtrArray * | param_table
| A table containing dynamic field info parameters.
EPR_SPtrArray * | dataset_ids
| Contains and array of all dataset IDs for the product (type EPR_SDatasetId*).
EPR_SPtrArray * | band_ids
| Contains and array of all band IDs for the product (type EPR_SBandId*).
int | meris_iodd_version
| For MERIS L1b and RR and FR to provide backward compatibility.

## Detailed Description

The `EPR_ProductId` structure contains information about an ENVISAT product file which has been opened with the `epr_open_product()` function.

See also:
  epr_open_product

## Field Documentation

EPR_Magic EPR_ProductId::magic

The magic number for this structure.

IMPORTANT: This must always be the first member of this structure.

char* EPR_ProductId::file_path

The file's path including the file name.

FILE* EPR_ProductId::istream

The input stream as returned by the ANSI C `fopen` function for the given file path.

uint EPR_ProductId::tot_size

The total size in bytes of the product file.

uint EPR_ProductId::scene_width

The total width of product's scene raster in pixels.

uint EPR_ProductId::scene_height

The total height of product's scene raster in pixels.

char EPR_ProductId::id_string[EPR_PRODUCT_ID_STRLEN+1]

The product identifier string obtained from the MPH parameter 'PRODUCT'.

The first 10 characters of this string identify the the product type, e.g. "MER_1P__FR" for a MERIS Level 1b full resolution product. The rest of the string decodes product instance properties.

EPR_SRecord* EPR_ProductId::mph_record

The record representing the main product header (MPH).

EPR_SRecord* EPR_ProductId::sph_record

The record representing the specific product header (SPH).

EPR_SPtrArray* EPR_ProductId::dsd_array

An array containing all (!) DSDs read from the product's specific product header (SPH).

EPR_SPtrArray* EPR_ProductId::record_info_cache

Cache for record infos.

Contains all record infos read from the database for this file so far.

The reason for caching record infos on a per-file-base is that a some record infos instances can contain file related content such as the number of pixels in a measurecment dataset record (MDSR).

EPR_SPtrArray* EPR_ProductId::param_table

A table containing dynamic field info parameters.

Dynamic field info parameters are created at runtime because the are derived from the product file contents and can not be staically stored in the record info database.

EPR_SPtrArray* EPR_ProductId::dataset_ids

Contains and array of all dataset IDs for the product (type EPR_SDatasetId*).

EPR_SPtrArray* EPR_ProductId::band_ids

Contains and array of all band IDs for the product (type EPR_SBandId*).

int EPR_ProductId::meris_iodd_version

For MERIS L1b and RR and FR to provide backward compatibility.

The documentation for this struct was generated from the following file:

- epr_api.h